Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## umontreal.iro.lecuyer.contactcenters.app
Enum DialerPolicyType

    java.lang.Object
      java.lang.Enum<DialerPolicyType>
          umontreal.iro.lecuyer.contactcenters.app.DialerPolicyType

All Implemented Interfaces:
  Serializable, Comparable<DialerPolicyType>

    public enum DialerPolicyType

extends Enum<DialerPolicyType>

Represents the dialer policy specifying when a dialer must try to make calls and how many calls to try at a time. Some of the policies need parameters which are specified as part of the dialer parameters.

Enum Constant Summary
`AGENTSMOVE` Dialing policy with smart agent management.
`DIAL1XFREE` Equivalent to `DIALXFREE` with κ = 1 and c = 1.
`DIAL2XFREE` Equivalent to `DIALXFREE` with κ = 2 and c = 0.
`DIALFREE_BADCALLMISMATCHRATES` When the dialing conditions defined for `DIALXFREE` apply, i.e., (t)≥st, k(t) and [k](t)≥sd, k(t), and the rate of inbound calls of any type waiting more than the acceptable waiting time is smaller than a threshold, dials some calls.
`DIALONE` Equivalent to `DIALXFREE` with κ = 0 and c = 1.
`DIALXFREE` Dials only when the total number of free agents (t) in all agent groups is greater than or equal to the minimum st, k(t), and the number of free agents [k](t) capable of serving the dialed call type is greater than or equal to sd, k(t).

Method Summary
`String` | `toString()`
`static DialerPolicyType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DialerPolicyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DIALXFREE

    public static final DialerPolicyType DIALXFREE

  Dials only when the total number of free agents (t) in all agent groups is greater than or equal to the minimum st, k(t), and the number of free agents [k](t) capable of serving the dialed call type is greater than or equal to sd, k(t). The thresholds do not change during main periods, but they can change from period to period. If dialing is performed, round(κ[k](t)) + c outbound calls are produced. κ and c corresponds to predefined constants, and round(⋅) corresponds to ⋅ rounded to the nearest integer.

### DIALONE

    public static final DialerPolicyType DIALONE

  Equivalent to `DIALXFREE` with κ = 0 and c = 1.

### DIAL1XFREE

    public static final DialerPolicyType DIAL1XFREE

  Equivalent to `DIALXFREE` with κ = 1 and c = 1.

### DIAL2XFREE

    public static final DialerPolicyType DIAL2XFREE

  Equivalent to `DIALXFREE` with κ = 2 and c = 0.

### DIALFREE_BADCALLMISMATCHRATES

    public static final DialerPolicyType DIALFREE_BADCALLMISMATCHRATES

  When the dialing conditions defined for `DIALXFREE` apply, i.e., (t)≥st, k(t) and [k](t)≥sd, k(t), and the rate of inbound calls of any type waiting more than the acceptable waiting time is smaller than a threshold, dials some calls. Let d = round(κ[k](t)) + c. If the mismatch rate for outbound calls of type k being dialed is smaller than a threshold, dials 2d calls. Otherwise, dials d.

  The number of calls waiting more than the acceptable waiting time and arrivals for all inbound call types, the number of mismatches for call type k, and the total number of tried outbound calls of type k are computed for periods with fixed duration dD. When the dialer is required to take a decision, it computes the bad call and mismatch rates by taking these values during the PD last checked periods.

### AGENTSMOVE

    public static final DialerPolicyType AGENTSMOVE

  Dialing policy with smart agent management. See `AgentsMoveDialerPolicy` for more information.

  The parameters of the agent groups managed by the dialer are specified using `agentGroupInfo` children elements, in the dialer parameters.

  The flags of the dialer are controlled as follows. The dialer keeps track of the global service level (over all inbound call types) for the last PD periods of duration dD. These parameters are set by the attributes `numCheckedPeriods` and `checkedPeriodDuration` of the dialer parameters. If the service level falls below the lower threshold s1 given by the attribute `slInboundThresh`, the flag outbound-to-inbound is turned on, and inbound-to-outbound is turned off. On the other hand, if the service level goes above the higher threshold s2 set by the attribute `slOutboundThresh`, the flag inbound-to-outbound is turned on while the flag outbound-to-inbound is off. When the service level is in [s1, s2], both flags are turned off.

Method Detail

### values

    public static DialerPolicyType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DialerPolicyType c : DialerPolicyType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DialerPolicyType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<DialerPolicyType>`

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.